Subject: Re: [syzbot] [bpf?] [net?] general protection fault in dev_map_enqueue (2)

From: syzbot <[email-masked]>
Date: Sat, 31 Aug 2024 13:55:02 -0700

syzbot suspects this issue was fixed by commit:

commit 401cb7dae8130fd34eb84648e02ab4c506df7d5e
Author: Sebastian Andrzej Siewior <[email-masked]>
Date:   Thu Jun 20 13:22:04 2024 +0000

    net: Reference bpf_redirect_info via task_struct on PREEMPT_RT.

bisection log:  https://syzkaller.appspot.com/x/bisect.txt?x=12597c63980000
start commit:   36534d3c5453 tcp: use signed arithmetic in tcp_rtx_probe0_..
git tree:       bpf
kernel config:  https://syzkaller.appspot.com/x/.config?x=333ebe38d43c42e2
dashboard link: https://syzkaller.appspot.com/bug?extid=cca39e6e84a367a7e6f6
syz repro:      https://syzkaller.appspot.com/x/repro.syz?x=13390aea980000
C reproducer:   https://syzkaller.appspot.com/x/repro.c?x=10948741980000

If the result looks correct, please mark the issue as fixed by replying with:

#syz fix: net: Reference bpf_redirect_info via task_struct on PREEMPT_RT.

For information about bisection process see: https://goo.gl/tpsmEJ#bisection